:root {
    -btn-primary: #4285f4;
    -btn-default: #2bbbad;
    -btn-secondary: #a6c;
    -btn-success: #00c851;
    -btn-info: #33b5e5;
    -btn-warning: #fb3;
    -btn-danger: #ff3547;
}

.null {
    margin: 0;
}

.btn {
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
    padding: .84rem 2.14rem;
    font-size: 1.23rem;
    -webkit-transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    -o-transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    margin: .375rem;
    border: 0;
    -webkit-border-radius: .125rem;
    border-radius: .125rem;
    cursor: pointer;
    text-transform: uppercase;
    white-space: normal;
    word-wrap: break-word;
    color: #fff;
}

.btn:focus,
.btn:hover {
    text-decoration: none;
}

.btn:active,
.btn:focus,
.btn:hover {
    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    outline: 0;
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}

.waves-effect {
    position: relative;
    cursor: pointer;
    overflow: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
}

.btn-primary {
    background-color: #4285f4!important;
    color: #fff;
}

.btn-primary:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}

.btn-primary:not([disabled]):not(.disabled).active,
.btn-primary:not([disabled]):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    background-color: #0b51c5!important;
}

.btn-default {
    background-color: #2bbbad!important;
    color: #fff;
}

.btn-secondary {
    background-color: #a6c!important;
    color: #fff;
}

.btn-success {
    background-color: #00c851!important;
    color: #fff;
}

.btn-info {
    background-color: #33b5e5!important;
    color: #fff;
}

.btn-warning {
    background-color: #fb3!important;
    color: #fff;
}

.btn-danger {
    background-color: #ff3547!important;
    color: #fff;
}

.btn-group .dropdown-menu a {
    color: #fff;
}

.btn-default .dropdown-menu {
    color: #000 !important;
}

.btn-default .dropdown-menu li>a:hover,
.btn-default .dropdown-menu li>a:focus {
    background-color: #000 !important;
    color: #fff !important;
}

.btn-group-primary .dropdown-menu {
    background-color: #3784c5 !important;
}

.btn-group-primary .dropdown-menu li>a:hover,
.btn-group-primary .dropdown-menu li>a:focus {
    background-color: #428bca !important;
}

.btn-group-success .dropdown-menu {
    background-color: #51b351 !important;
}

.btn-group-success .dropdown-menu li>a:hover,
.btn-group-success .dropdown-menu li>a:focus {
    background-color: #5cb85c !important;
}

.btn-group-info .dropdown-menu {
    background-color: #33b5e5 !important;
}

.btn-group-info .dropdown-menu li>a:hover,
.btn-group-info .dropdown-menu li>a:focus {
    background-color: #33b5e5 !important;
}

.btn-group-warning .dropdown-menu {
    background-color: #efa640 !important;
}

.btn-group-warning .dropdown-menu li>a:hover,
.btn-group-warning .dropdown-menu li>a:focus {
    background-color: #f0ad4e !important;
}

.btn-group-danger .dropdown-menu {
    background-color: #d64742 !important;
}

.btn-group-danger .dropdown-menu li>a:hover,
.btn-group-danger .dropdown-menu li>a:focus {
    background-color: #d9534f !important;
}